libfreehand::FHTextObject Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libfreehand::FHTextObject Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHTextObject ()

## Public Attributes
unsigned | m_graphicStyleId
unsigned | m_xFormId
unsigned | m_tStringId
unsigned | m_vmpObjId
unsigned | m_pathId
double | m_startX
double | m_startY
double | m_width
double | m_height
unsigned | m_beginPos
unsigned | m_endPos
unsigned | m_colNum
unsigned | m_rowNum
double | m_colSep
double | m_rowSep
unsigned | m_rowBreakFirst

## Constructor & Destructor Documentation

## ◆ FHTextObject()

libfreehand::FHTextObject::FHTextObject | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_beginPos

unsigned libfreehand::FHTextObject::m_beginPos

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_colNum

unsigned libfreehand::FHTextObject::m_colNum

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_colSep

double libfreehand::FHTextObject::m_colSep

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_endPos

unsigned libfreehand::FHTextObject::m_endPos

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_graphicStyleId

unsigned libfreehand::FHTextObject::m_graphicStyleId

Referenced by libfreehand::FHParser::readTextObject().

## ◆ m_height

double libfreehand::FHTextObject::m_height

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_pathId

unsigned libfreehand::FHTextObject::m_pathId

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_rowBreakFirst

unsigned libfreehand::FHTextObject::m_rowBreakFirst

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_rowNum

unsigned libfreehand::FHTextObject::m_rowNum

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_rowSep

double libfreehand::FHTextObject::m_rowSep

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_startX

double libfreehand::FHTextObject::m_startX

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_startY

double libfreehand::FHTextObject::m_startY

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_tStringId

unsigned libfreehand::FHTextObject::m_tStringId

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_vmpObjId

unsigned libfreehand::FHTextObject::m_vmpObjId

Referenced by libfreehand::FHParser::readTextObject().

## ◆ m_width

double libfreehand::FHTextObject::m_width

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

## ◆ m_xFormId

unsigned libfreehand::FHTextObject::m_xFormId

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

The documentation for this struct was generated from the following file:

- FHTypes.h